<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Book/Scripts/5_mission/dayzexpansion_book/book/booktabs/party/expansionbookmenutabpartymemberentry.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d1c/a00605_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionbookmenutabpartymemberentry.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d1c/a00605.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionBookMenuTabTerritoryMemberEntry.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#ifdef EXPANSIONMODGROUPS</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="keyword">class </span>ExpansionBookMenuTabPartyMemberEntry: <a class="code hl_class" href="../../d4/d56/a05206.html">ExpansionScriptView</a></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>{</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    ref ExpansionBookMenuTabPartyMemberEntryController <a class="code hl_variable" href="../../dd/d86/a01367.html#a4938268820b8b77fd570a6c3e90d68fe">m_EntryController</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    ref ExpansionBookMenuTabParty m_PartyTab;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    ref <a class="code hl_function" href="../../d6/d8f/a09397.html#a7949e537f7a83eceaec184008c93805c">ExpansionPartyPlayerData</a> m_Member;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    ref <a class="code hl_class" href="../../da/d4d/a05322.html">ExpansionPartyModule</a> m_PartyModule;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="keyword">private</span> TextWidget member_entry_label;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="keyword">private</span> ImageWidget member_entry_icon;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="keyword">private</span> ButtonWidget member_entry_button;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="keywordtype">bool</span> m_MouseHover;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    <span class="keywordtype">void</span> ExpansionBookMenuTabPartyMemberEntry(ExpansionBookMenuTabParty tab, <a class="code hl_function" href="../../d6/d8f/a09397.html#a7949e537f7a83eceaec184008c93805c">ExpansionPartyPlayerData</a> member)</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        m_PartyTab = tab;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../dd/d86/a01367.html#a4938268820b8b77fd570a6c3e90d68fe">m_EntryController</a>)</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            <a class="code hl_variable" href="../../dd/d86/a01367.html#a4938268820b8b77fd570a6c3e90d68fe">m_EntryController</a> = ExpansionBookMenuTabPartyMemberEntryController.Cast(GetController());</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">if</span> (!m_PartyModule)</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            m_PartyModule = <a class="code hl_class" href="../../da/d4d/a05322.html">ExpansionPartyModule</a>.Cast(CF_ModuleCoreManager.Get(<a class="code hl_class" href="../../da/d4d/a05322.html">ExpansionPartyModule</a>));</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        SetEntry(member);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <span class="keywordtype">void</span> SetEntry(<a class="code hl_function" href="../../d6/d8f/a09397.html#a7949e537f7a83eceaec184008c93805c">ExpansionPartyPlayerData</a> member, <span class="keywordtype">bool</span> setBackground = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        m_Member = member;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <a class="code hl_variable" href="../../dd/d86/a01367.html#a4938268820b8b77fd570a6c3e90d68fe">m_EntryController</a>.MemberName = m_Member.Name;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_variable" href="../../dd/d86/a01367.html#a4938268820b8b77fd570a6c3e90d68fe">m_EntryController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;MemberName&quot;</span>);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        UpdateOnlineState();</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">if</span> (!setBackground)</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_variable" href="../../dd/d86/a01367.html#a4938268820b8b77fd570a6c3e90d68fe">m_EntryController</a>.Background = GetRandomElementBackground();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <a class="code hl_variable" href="../../dd/d86/a01367.html#a4938268820b8b77fd570a6c3e90d68fe">m_EntryController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;Background&quot;</span>);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="keywordtype">void</span> UpdateOnlineState()</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">if</span> (m_MouseHover)</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">if</span> (<a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a>.Expansion_IsOnline(m_Member.UID))</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            member_entry_icon.SetColor(ARGB(255, 22, 160, 133));</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        } </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">else</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            member_entry_icon.SetColor(ARGB(255, 192, 57, 43));</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    <span class="keywordtype">string</span> GetRandomElementBackground()</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        TStringArray backgrounds = <span class="keyword">new</span> TStringArray;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        backgrounds.Insert(<span class="stringliteral">&quot;set:book_assets image:menu_element_1&quot;</span>);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        backgrounds.Insert(<span class="stringliteral">&quot;set:book_assets image:menu_element_2&quot;</span>);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        backgrounds.Insert(<span class="stringliteral">&quot;set:book_assets image:menu_element_3&quot;</span>);</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        backgrounds.Insert(<span class="stringliteral">&quot;set:book_assets image:menu_element_4&quot;</span>);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        backgrounds.Insert(<span class="stringliteral">&quot;set:book_assets image:menu_element_5&quot;</span>);</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        backgrounds.Insert(<span class="stringliteral">&quot;set:book_assets image:menu_element_6&quot;</span>);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">return</span> backgrounds.GetRandomElement();</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    <span class="keywordtype">void</span> OnEditButtonClick()</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player = <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a>.Cast(GetGame().GetPlayer());     </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <a class="code hl_class" href="../../db/dc8/a05314.html">ExpansionPartyData</a> player_party = m_PartyModule.GetParty();</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="keywordflow">if</span> (!player_party)</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">if</span> (!m_Member)</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <a class="code hl_function" href="../../d6/d8f/a09397.html#a7949e537f7a83eceaec184008c93805c">ExpansionPartyPlayerData</a> playerPartyData = player_party.<a class="code hl_function" href="../../db/dc8/a05314.html#a7c5bd6ce911de192129ba52dfa1735e3">GetPlayer</a>(GetGame().GetPlayer().GetIdentity().GetId());</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">if</span> (playerPartyData &amp;&amp; !playerPartyData.CanEdit())</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <a class="code hl_function" href="../../df/df7/a00731.html#a035f8a89b4bc04b99c33feb27da703fd">ExpansionNotification</a>(<span class="stringliteral">&quot;STR_EXPANSION_PARTY_NOTIF_TITLE&quot;</span>, <span class="stringliteral">&quot;STR_EXPANSION_PARTY_CANTEDIT&quot;</span>).<a class="code hl_function" href="../../de/da2/a04294.html#a18f15b5a59936b7de943b80b6433815b">Error</a>();</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (playerPartyData.CanEdit())</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            m_PartyTab.Hide();</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            m_PartyTab.GetMemberEditTab().SetMember(m_Member);</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            m_PartyTab.GetMemberEditTab().SetParty(player_party);</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            m_PartyTab.GetMemberEditTab().SetPlayer(playerPartyData);</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>            m_PartyTab.GetMemberEditTab().SetTab();</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            m_PartyTab.GetMemberEditTab().Show();</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d2/d94/a00716.html#af50c208477ace3db233bfb6243901f7c">GetLayoutFile</a>() </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    {</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DayZExpansion/Book/GUI/layouts/tabs/party/expansion_book_tab_party_member_entry.layout&quot;</span>;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d2/d94/a00716.html#aae475e0b4d95b152ef3e68af16944a01">GetControllerType</a>() </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <span class="keywordflow">return</span> ExpansionBookMenuTabPartyMemberEntryController;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d29/a01895.html#acd2b0c0714d497b259c4276ac92d2d79">OnMouseEnter</a>(Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    {</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keywordflow">if</span> (w == member_entry_button)</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>            m_MouseHover = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            member_entry_label.SetColor(ARGB(255, 220, 220, 220));</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>            member_entry_icon.SetColor(ARGB(255, 220, 220, 220));</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        }</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        <span class="keywordflow">return</span> super.OnMouseEnter(w, x, y);</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    }</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d29/a01895.html#a472c39c87ea477147b2c9353631a9822">OnMouseLeave</a>(Widget w, Widget enterW, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    {</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <span class="keywordflow">if</span> (w == member_entry_button)</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        {</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>            m_MouseHover = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            member_entry_label.SetColor(ARGB(255, 0, 0, 0));</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            UpdateOnlineState();</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        }</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <span class="keywordflow">return</span> super.OnMouseLeave(w, enterW, x, y);</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    }</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>};</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span> </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span><span class="keyword">class </span>ExpansionBookMenuTabPartyMemberEntryController: <a class="code hl_class" href="../../d7/d20/a04410.html">ExpansionViewController</a></div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>{</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    <span class="keywordtype">string</span> MemberName;</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    <span class="keywordtype">string</span> Background;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>};</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span> </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="aa00716_html_aae475e0b4d95b152ef3e68af16944a01"><div class="ttname"><a href="../../d2/d94/a00716.html#aae475e0b4d95b152ef3e68af16944a01">GetControllerType</a></div><div class="ttdeci">override GetControllerType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d94/a00716_source.html#l00265">expansionchatline.c:265</a></div></div>
<div class="ttc" id="aa00716_html_af50c208477ace3db233bfb6243901f7c"><div class="ttname"><a href="../../d2/d94/a00716.html#af50c208477ace3db233bfb6243901f7c">GetLayoutFile</a></div><div class="ttdeci">override string GetLayoutFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d94/a00716_source.html#l00236">expansionchatline.c:236</a></div></div>
<div class="ttc" id="aa00731_html_a035f8a89b4bc04b99c33feb27da703fd"><div class="ttname"><a href="../../df/df7/a00731.html#a035f8a89b4bc04b99c33feb27da703fd">ExpansionNotification</a></div><div class="ttdeci">class ExpansionNotificationTemplate&lt; Class T &gt; ExpansionNotification(StringLocaliser title, StringLocaliser text, string icon=&quot;&quot;, int color=0, float time=7, ExpansionNotificationType type=ExpansionNotificationType.TOAST)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df7/a00731_source.html#l00066">expansionnotificationsystem.c:132</a></div></div>
<div class="ttc" id="aa01367_html_a4938268820b8b77fd570a6c3e90d68fe"><div class="ttname"><a href="../../dd/d86/a01367.html#a4938268820b8b77fd570a6c3e90d68fe">m_EntryController</a></div><div class="ttdeci">ExpansionMenuDialogContent_WrapSpacerController m_EntryController</div></div>
<div class="ttc" id="aa01895_html_a472c39c87ea477147b2c9353631a9822"><div class="ttname"><a href="../../db/d29/a01895.html#a472c39c87ea477147b2c9353631a9822">OnMouseLeave</a></div><div class="ttdeci">override bool OnMouseLeave(Widget w, Widget enterW, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d29/a01895_source.html#l00427">expansionmarketmenucategory.c:427</a></div></div>
<div class="ttc" id="aa01895_html_acd2b0c0714d497b259c4276ac92d2d79"><div class="ttname"><a href="../../db/d29/a01895.html#acd2b0c0714d497b259c4276ac92d2d79">OnMouseEnter</a></div><div class="ttdeci">override bool OnMouseEnter(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d29/a01895_source.html#l00412">expansionmarketmenucategory.c:412</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04294_html_a18f15b5a59936b7de943b80b6433815b"><div class="ttname"><a href="../../de/da2/a04294.html#a18f15b5a59936b7de943b80b6433815b">ExpansionNotificationTemplate&lt; Class T &gt;::Error</a></div><div class="ttdeci">void Error(PlayerIdentity identity=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df7/a00731_source.html#l00107">expansionnotificationsystem.c:107</a></div></div>
<div class="ttc" id="aa04410_html"><div class="ttname"><a href="../../d7/d20/a04410.html">ExpansionViewController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d5d/a09121_source.html#l00013">expansionscriptview.c:14</a></div></div>
<div class="ttc" id="aa05206_html"><div class="ttname"><a href="../../d4/d56/a05206.html">ExpansionScriptView</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d42/a09124_source.html#l00013">expansionscriptview.c:14</a></div></div>
<div class="ttc" id="aa05314_html"><div class="ttname"><a href="../../db/dc8/a05314.html">ExpansionPartyData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d9b/a09391_source.html#l00013">expansionpartydata.c:14</a></div></div>
<div class="ttc" id="aa05314_html_a7c5bd6ce911de192129ba52dfa1735e3"><div class="ttname"><a href="../../db/dc8/a05314.html#a7c5bd6ce911de192129ba52dfa1735e3">ExpansionPartyData::GetPlayer</a></div><div class="ttdeci">ExpansionPartyPlayerData GetPlayer(string uid)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d9b/a09391_source.html#l00286">expansionpartydata.c:286</a></div></div>
<div class="ttc" id="aa05322_html"><div class="ttname"><a href="../../da/d4d/a05322.html">ExpansionPartyModule</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a01397_source.html#l00014">expansionpartymodule.c:15</a></div></div>
<div class="ttc" id="aa09397_html_a7949e537f7a83eceaec184008c93805c"><div class="ttname"><a href="../../d6/d8f/a09397.html#a7949e537f7a83eceaec184008c93805c">ExpansionPartyPlayerData</a></div><div class="ttdeci">void ExpansionPartyPlayerData(ExpansionPartyData party)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8f/a09397_source.html#l00035">expansionpartyplayerdata.c:35</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_962bfa1893272c9ca8d900ccfa6a09f5.html">Book</a></li><li class="navelem"><a class="el" href="../../dir_5f6b997996f72d4bae47b189b5fbd491.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_8d5b9013e1e30f115ed1c9aa343b42f9.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_b9f01b84f4b1924a81a59a6ed9f6add1.html">dayzexpansion_book</a></li><li class="navelem"><a class="el" href="../../dir_9b9d04b47302adcbb3988d4c606fd4b1.html">book</a></li><li class="navelem"><a class="el" href="../../dir_c42bf3830d2b96dfe174506f42af663f.html">booktabs</a></li><li class="navelem"><a class="el" href="../../dir_c5dd35b376fa8779fb28c82514e24b77.html">party</a></li><li class="navelem"><a class="el" href="../../d0/d1c/a00605.html">expansionbookmenutabpartymemberentry.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
